Activity log for bug #1015151

Date Who What changed Old value New value Message
2012-06-19 14:34:23 Alan Pope 🍺🐧🐱 πŸ¦„ bug added bug
2012-06-19 14:34:23 Alan Pope 🍺🐧🐱 πŸ¦„ attachment added gdb.txt https://bugs.launchpad.net/bugs/1015151/+attachment/3196080/+files/gdb.txt
2012-06-19 15:12:01 Sam Spilsbury compiz: milestone 0.9.8.0
2012-06-19 15:12:03 Sam Spilsbury compiz: assignee Sam Spilsbury (smspillaz)
2012-06-19 15:12:05 Sam Spilsbury compiz: importance Undecided High
2012-06-19 15:12:09 Sam Spilsbury compiz: status New In Progress
2012-06-19 15:18:06 Sam Spilsbury branch linked lp:~compiz-team/compiz/compiz.fix_1015151
2012-06-19 15:19:25 Sam Spilsbury description Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. valgrind says: ==3648== Invalid read of size 2 ==3648== at 0x806092A: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (rect.h:178) ==3648== by 0x44BCEC7: ??? ==3648== Address 0x44bd026 is 14 bytes inside a block of size 20 free'd ==3648== at 0x402ACFC: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so) ==3648== by 0x8060965: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (new_allocator.h:98) ==3648== by 0x44BCEC7: ??? The classic case of iterating a temporary vector that goes out of scope while iterating. Annoying.
2012-06-19 15:19:50 Sam Spilsbury bug task added compiz-core
2012-06-19 15:20:05 Sam Spilsbury compiz-core: importance Undecided High
2012-06-19 15:20:10 Sam Spilsbury compiz-core: milestone 0.9.7.10
2012-06-20 05:31:23 Launchpad Janitor branch linked lp:~compiz-team/compiz/compiz.fix_1015151.1
2012-06-20 06:12:02 Daniel van Vugt affects compiz-core compiz-plugins-main
2012-06-20 06:12:02 Daniel van Vugt compiz-plugins-main: milestone 0.9.7.10
2012-06-20 06:12:09 Daniel van Vugt compiz-plugins-main: milestone 0.9.7.4
2012-06-20 06:48:10 Daniel van Vugt description Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. valgrind says: ==3648== Invalid read of size 2 ==3648== at 0x806092A: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (rect.h:178) ==3648== by 0x44BCEC7: ??? ==3648== Address 0x44bd026 is 14 bytes inside a block of size 20 free'd ==3648== at 0x402ACFC: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so) ==3648== by 0x8060965: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (new_allocator.h:98) ==3648== by 0x44BCEC7: ??? The classic case of iterating a temporary vector that goes out of scope while iterating. Annoying. TESTCASE: ctest -D ExperimentalMemCheck (this option was only added on 20 June 2012) ORIGINAL DESCRIPTION: Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. valgrind says: ==3648== Invalid read of size 2 ==3648== at 0x806092A: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (rect.h:178) ==3648== by 0x44BCEC7: ??? ==3648== Address 0x44bd026 is 14 bytes inside a block of size 20 free'd ==3648== at 0x402ACFC: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so) ==3648== by 0x8060965: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (new_allocator.h:98) ==3648== by 0x44BCEC7: ??? The classic case of iterating a temporary vector that goes out of scope while iterating. Annoying.
2012-06-20 06:51:07 Launchpad Janitor branch linked lp:compiz
2012-06-20 06:51:34 Daniel van Vugt compiz: status In Progress Fix Committed
2012-06-20 07:00:32 Daniel van Vugt summary Compiz crash in movementWindowOnScreen [BNR] Compiz crash in movementWindowOnScreen
2012-06-20 09:12:24 Daniel van Vugt summary [BNR] Compiz crash in movementWindowOnScreen [BNR] Compiz crash in movementWindowOnScreen (caused by fix 755842)
2012-06-25 09:14:02 Didier Roche bug task added compiz (Ubuntu)
2012-06-25 09:31:58 Daniel van Vugt affects compiz (Ubuntu) compiz-plugins-main (Ubuntu)
2012-06-25 09:57:10 Didier Roche bug task added compiz (Ubuntu)
2012-06-25 09:57:55 Didier Roche bug task deleted compiz-plugins-main (Ubuntu)
2012-06-26 11:30:44 Launchpad Janitor branch linked lp:ubuntu/compiz
2012-06-28 20:12:11 Launchpad Janitor compiz (Ubuntu): status New Fix Released
2012-07-04 11:55:57 Launchpad Janitor branch linked lp:~timo-jyrinki/compiz/ubuntu
2012-07-18 12:32:45 Launchpad Janitor branch linked lp:~sil2100/compiz-plugins-main/precise_SRU
2012-08-27 07:58:47 Daniel van Vugt compiz: status Fix Committed Fix Released
2012-11-29 03:31:31 Launchpad Janitor branch linked lp:compiz-plugins-main
2012-11-29 03:31:40 Daniel van Vugt compiz-plugins-main: status New Fix Committed
2012-11-29 03:31:48 Daniel van Vugt compiz-plugins-main: assignee Sam Spilsbury (smspillaz)
2012-11-29 03:33:29 Daniel van Vugt bug task added compiz-plugins-main (Ubuntu)
2012-11-29 03:33:38 Daniel van Vugt compiz-plugins-main (Ubuntu): status New Triaged
2012-11-29 03:33:41 Daniel van Vugt compiz (Ubuntu): importance Undecided High
2012-11-29 03:33:44 Daniel van Vugt compiz-plugins-main (Ubuntu): importance Undecided High
2013-02-25 12:01:27 Timo Jyrinki nominated for series Ubuntu Precise
2013-02-28 09:31:36 Launchpad Janitor branch linked lp:~timo-jyrinki/compiz-plugins-main/fix_755842
2013-03-12 08:41:01 Timo Jyrinki bug added subscriber Ubuntu Stable Release Updates Team
2013-03-12 08:45:15 Timo Jyrinki description TESTCASE: ctest -D ExperimentalMemCheck (this option was only added on 20 June 2012) ORIGINAL DESCRIPTION: Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. valgrind says: ==3648== Invalid read of size 2 ==3648== at 0x806092A: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (rect.h:178) ==3648== by 0x44BCEC7: ??? ==3648== Address 0x44bd026 is 14 bytes inside a block of size 20 free'd ==3648== at 0x402ACFC: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so) ==3648== by 0x8060965: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (new_allocator.h:98) ==3648== by 0x44BCEC7: ??? The classic case of iterating a temporary vector that goes out of scope while iterating. Annoying. [Impact] A crash after fix to bug #755842. [Test case] Use super+W rapidly a few times. [Regression Potential] Should be low, correct usage of the vector variable. Test wall plugin's offset movement functionality in general. TESTCASE: ctest -D ExperimentalMemCheck (this option was only added on 20 June 2012) ORIGINAL DESCRIPTION: Running compiz 1:0.9.8+bzr3249-0ubuntu1 got a crash in movementWindowOnScreen after doing super+W a few times. valgrind says: ==3648== Invalid read of size 2 ==3648== at 0x806092A: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (rect.h:178) ==3648== by 0x44BCEC7: ??? ==3648== Address 0x44bd026 is 14 bytes inside a block of size 20 free'd ==3648== at 0x402ACFC: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so) ==3648== by 0x8060965: compiz::wall::movementWindowOnScreen(CompRect const&, CompRegion const&) (new_allocator.h:98) ==3648== by 0x44BCEC7: ??? The classic case of iterating a temporary vector that goes out of scope while iterating. Annoying.
2013-03-13 11:24:40 Łukasz Zemczak compiz-plugins-main (Ubuntu): status Triaged In Progress
2013-06-12 13:49:43 Didier Roche bug task added compiz (Ubuntu Precise)
2013-06-12 13:49:43 Didier Roche bug task added compiz-plugins-main (Ubuntu Precise)
2013-06-19 17:45:43 Steve Langasek compiz-plugins-main (Ubuntu Precise): status New Fix Committed
2013-06-19 17:45:46 Steve Langasek bug added subscriber SRU Verification
2013-06-19 17:45:54 Steve Langasek tags verification-needed
2013-06-19 18:42:34 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/compiz-plugins-main
2013-07-02 07:33:38 Miklos Juhasz tags verification-needed verification-done
2013-07-03 11:58:00 Colin Watson removed subscriber Ubuntu Stable Release Updates Team
2013-07-03 12:13:37 Launchpad Janitor compiz-plugins-main (Ubuntu Precise): status Fix Committed Fix Released